import { RawWorkspace, RawWorkspaceProject, RawWorkspaceService } from '../../../bld/shared';
import { Config } from './config';
export declare class Workspace {
    readonly raw: RawWorkspace;
    readonly port: number;
    private config;
    constructor(raw: RawWorkspace, port: number, config: Config);
    get hash(): string;
    get id(): string;
    get image(): string;
    get services(): RawWorkspaceService[];
    get projects(): RawWorkspaceProject[];
    get volume(): string;
}
